package com.adealink.weparty.wallet.manager

import com.adealink.frame.base.Rlt
import com.adealink.frame.frame.IBaseFrame
import com.adealink.weparty.module.wallet.data.Currency

interface IWalletManager : IBaseFrame<IWalletListener> {

    //cache
    fun getWalletData()

    fun refreshWalletDat()

    suspend fun pullWalletData(): Rlt<Map<Currency, Long>>


}